Skip to content
You're viewing the v2 docs. Looking for v1?Go to v1 docs
Docs
Arcus
Popular questions
↑↓ to navigate↵ to selectesc to close
Book a demo

Overview: API Reference for Arcus


Get a complete view of common concepts necessary to interact with APIs successfully.


Arcus by Testsigma provides RESTful endpoints to automate test operations like creating test cases, managing test runs, and retrieving project metadata. This article discusses the common concepts required to interact with the API successfully, including authentication, pagination, and status codes.


Arcus APIs use Bearer Token authentication.

You must include your API token in the Authorization header for every request. This token helps identify the user and enforce permissions accordingly.

Authorization: Bearer <ARCUS_API_TOKEN>

You can generate and manage your API token from here. The token must be kept secure, like a password.


When a response includes a large set of resources (e.g., test cases or test runs), pagination is applied to improve performance and usability. By default, the API returns 20 records per page.

The following request retrieves only 2 projects:

GET /api/v1/projects?name__NEQ=test&page_size=2

In this example, page_size=2 limits the number of results to 2 projects.


The Arcus API returns standard HTTP status codes to indicate the result of your request. In case of an error, additional information is included in the response body.

The HTTP status codes in the API are listed below:

Status CodeDescription
200OK – The request was successful.
401Unauthorized – API token is missing or invalid.
404Not Found – The resource does not exist.
422Unprocessable Entity – Input is syntactically correct but semantically invalid.
500Internal Server Error – Unexpected issue with the server.

Was this page helpful?